Mono.Cairo 1.0.5000.0 2.0.0.0 System.Enum Used to identify the memory format of image data.
- Field
  Cairo.Format Each pixel is a 1-bit quantity holding an alpha value. Pixels are packed together into 32-bit quantities. The ordering of the bits matches the endianess of the platform. On a big-endian machine, the first pixel is in the uppermost bit, on a little-endian machine the first pixel is in the least-significant bit. 1.0.5000.0 2.0.0.0
- Field
  Cairo.Format Each pixel is a 8-bit quantity holding an alpha value. 1.0.5000.0 2.0.0.0
- Field
  Cairo.Format Each pixel is a 32-bit quantity, with alpha in the upper 8 bits, then red, then green, then blue. The 32-bit quantities are stored native-endian. Pre-multiplied alpha is used. (That is, 50% transparent red is 0x80800000, not 0x80ff0000.) 1.0.5000.0 2.0.0.0
- Field
  Cairo.Format Each pixel is a 32-bit quantity, with alpha in the upper 8 bits, then red, then green, then blue. The 32-bit quantities are stored native-endian. Pre-multiplied alpha is used. (That is, 50% transparent red is 0x80800000, not 0x80ff0000.) 1.0.5000.0 2.0.0.0
- Field
  Cairo.Format each pixel is a 16-bit quantity, with red in the upper 5 bits, then green in the next 6, then blue in the lowest 5 bits. 1.0.5000.0 2.0.0.0
- Field
  Cairo.Format Each pixel is a 32-bit quantity, with the upper 8 bits unused. Red, Green, and Blue are stored in the remaining 24 bits in that order. 1.0.5000.0 2.0.0.0
- Field
  Cairo.Format Each pixel is a 32-bit quantity, with the upper 8 bits unused. Red, Green, and Blue are stored in the remaining 24 bits in that order. 1.0.5000.0 2.0.0.0